## PkRepoDetail PkRepoDetail — RepoDetail object |

## Functions

PkRepoDetail * | pk_repo_detail_new ()
const gchar * | pk_repo_detail_get_id ()
const gchar * | pk_repo_detail_get_description ()
gboolean | pk_repo_detail_get_enabled ()

## Properties

gchar * | description | Read / Write
gboolean | enabled | Read / Write
gchar * | repo-id | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkRepoDetail

## Description

This GObject represents a repo_detail from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_repo_detail_new ()

    PkRepoDetail *
    pk_repo_detail_new (void);

#### Returns

a new PkRepoDetail object.

Since: 0.5.4

### pk_repo_detail_get_id ()

    const gchar *
    pk_repo_detail_get_id (PkRepoDetail *repo_detail);

Gets the repository ID.

#### Parameters

repo_detail | a valid PkRepoDetail instance |

#### Returns

string ID, e.g. "fedora"

Since: 0.9.1

### pk_repo_detail_get_description ()

    const gchar *
    pk_repo_detail_get_description (PkRepoDetail *repo_detail);

Gets the repository description.

#### Parameters

repo_detail | a valid PkRepoDetail instance |

#### Returns

string ID, e.g. "Fedora 20 - i386"

Since: 0.9.1

### pk_repo_detail_get_enabled ()

    gboolean
    pk_repo_detail_get_enabled (PkRepoDetail *repo_detail);

Gets the repository enabled status.

#### Parameters

repo_detail | a valid PkRepoDetail instance |

#### Returns

`TRUE` for enabled

Since: 0.9.1

## Types and Values

## Property Details

### The `“description”` property

      “description”              gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“enabled”` property

      “enabled”                  gboolean

Flags: Read / Write

Default value: FALSE

Since: 0.5.4

### The `“repo-id”` property

      “repo-id”                  gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4